#ifndef _RAINBOW_MODULE
#define _RAINBOW_MODULE

#include "ofMain.h"
#include "ofVec3f.h"
#include "graphicsModuleBase.h"


class rainbowModule : public graphicsModuleBase {
	
	public:
		
		rainbowModule();
		
		void 		setup();
		void 		reset();
	 	void 		update();
		void 		draw();
		bool 		bAmIdone();
		
		ofVec3f		getStartPosition();
		float		getStartAngle();
		
		bool 		bDone;
		float 		pct;
		
		ofVec3f 	pts[4];
};

#endif	
